# !/usr/bin/python
# -*- coding: utf-8 -*-

# nublo
# a redefinition of senses
        
__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "List base texture"

import math
import clutter
import cairo
from cluttercairo import CairoTexture

class Texture(CairoTexture):

    def __init__(self, width, height):
        
        CairoTexture.__init__(self, width, height)
        
        self.width = width
        self.height = height
        
        self.context = self.cairo_create()
        
        linpat = cairo.LinearGradient(self.width / 2.0, 0.0, self.width / 2.0, self.height);
        linpat.add_color_stop_rgba (0.0,  0.35, 0.4, 0.47, 1.0);
        linpat.add_color_stop_rgba (0.4,  0.2, 0.2, 0.25, 1.0);
        linpat.add_color_stop_rgba (0.6,  0.1, 0.1, 0.1, 1.0);
        linpat.add_color_stop_rgba (1.0,  0.05, 0.05, 0.05, 1.0);

        self.context.rectangle(0.05, 0.05, self.width - 0.1, self.height - 0.1)
        
        self.context.close_path()
        self.context.set_source(linpat)
        self.context.fill()
        
        linpat2 = cairo.LinearGradient(self.width / 2.0, 0.0, self.width / 2.0, self.height);
        linpat2.add_color_stop_rgba (0.0,  1.0, 1.0, 1.0, 1.0);
        linpat2.add_color_stop_rgba (0.7,  1.0, 1.0, 1.0, 0.0);
        
        self.context.set_source(linpat2)
        self.context.move_to(self.width, self.height * 0.03)
        self.context.line_to(self.width * 0.01, self.height * 0.03)
        self.context.line_to(self.width * 0.01, self.height * 0.93)
        self.context.set_line_width(self.height * 0.01)
        self.context.stroke()
        
        del self.context
          
    def resize(self, width, height):

        pass
        
