# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Tests for the slider widget"

import os
import sys

import pygtk
pygtk.require('2.0')
import gtk

import clutter

# Change sys path to glitter path
glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

from window import Window
from slider import Slider

class TestSlider(object):
    """ Tests for the frame widget, depends on Image widget """
    
    def __init__(self):
        """ Initialize test """
        
        self.window = Window("Glitter tests")
        self.window.connect("destroy", self.destroy)

        self.stage = self.window.get_stage()
        self.stage.connect('notify::width', self.do_resize)
        self.stage.connect('notify::height', self.do_resize)
        
        self.slider = Slider()
        self.stage.add(self.slider)
        self.slider._update_layout()
        
        self.slider.connect('value-changed', self.on_value_changed)
        
        self.window.show_all()
        gtk.main()
       
    def on_value_changed(self, widget, value):
        print value
        
    def destroy(self, widget, data=None):
        gtk.main_quit()

    def do_resize(self, stage, event):
        self.slider._update_layout()
        
if __name__ == '__main__':
    TestSlider()
