# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Tests for the slider widget"

import os
import sys

import pygtk
pygtk.require('2.0')
import gtk

import clutter

# Change sys path to glitter path
glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

from window import Window
from image import Image
from toolbar import Toolbar

class TestToolbar(object):
    """ Tests for the frame widget, depends on Image widget """
    
    def __init__(self):
        """ Initialize test """
        
        self.window = Window("Glitter tests")
        self.window.connect("destroy", self.destroy)

        self.stage = self.window.get_stage()
        self.stage.connect('notify::width', self.do_resize)
        self.stage.connect('notify::height', self.do_resize)
        
        self.image = Image("base.py")
        self.stage.add(self.image)
        self.image._update_layout()
        
        self.toolbar = Toolbar()
        self.stage.add(self.toolbar)
        self.toolbar.natural_width = 0.6
        self.toolbar.natural_height = 0.6
        self.toolbar._update_layout()
        
        self.window.show_all()
        gtk.main()
        
    def destroy(self, widget, data=None):
        gtk.main_quit()

    def do_resize(self, stage, event):
        self.image._update_layout()
        self.toolbar._update_layout()
        
if __name__ == '__main__':
    TestToolbar()
